Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Thread_Hook Class Reference

This class makes it possible to provide user-defined "start" hooks that are called before the thread entry point function is invoked. More...

`#include <Thread_Hook.h>`

List of all members.

## Public Member Functions
virtual | ~ACE_Thread_Hook (void)
| Destructor.
virtual ACE_THR_FUNC_RETURN | start (ACE_THR_FUNC func, void *arg)
## Static Public Member Functions
ACE_Thread_Hook * | thread_hook (ACE_Thread_Hook *hook)
ACE_Thread_Hook * | thread_hook (void)
| Returns the current system thread hook.

## Detailed Description

This class makes it possible to provide user-defined "start" hooks that are called before the thread entry point function is invoked.

## Constructor & Destructor Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_Thread_Hook::~ACE_Thread_Hook | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

ACE_THR_FUNC_RETURN ACE_Thread_Hook::start | ( | ACE_THR_FUNC | func,
|  | void * | arg
| ) | `[virtual]`

| This method can be overridden in a subclass to customize this pre-function call "hook" invocation that can perform initialization processing before the thread entry point <func> method is called back. The func and arg passed into the start hook are the same as those passed by the application that spawned the thread.

ACE_Thread_Hook * ACE_Thread_Hook::thread_hook | ( | void |  | ) | `[static]`

| Returns the current system thread hook.

ACE_Thread_Hook * ACE_Thread_Hook::thread_hook | ( | ACE_Thread_Hook * | hook | ) | `[static]`

| sets the system wide thread hook, returns the previous thread hook or 0 if none is set.

The documentation for this class was generated from the following files:

- Thread_Hook.h
- Thread_Hook.cpp